<html>
<head>
<title>OGRE: Ogre::PrefabFactory Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1PrefabFactory.html">PrefabFactory</a></div>
<h1>Ogre::PrefabFactory Class Reference</h1><!-- doxytag: class="Ogre::PrefabFactory" -->A factory class that can create various mesh prefabs.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgrePrefabFactory_8h-source.html">OgrePrefabFactory.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1PrefabFactory-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PrefabFactory.html#9057439fd11ca34cd1805c805cb1e03e">createPrefab</a> (<a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *mesh)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">If the given mesh has a known prefab resource name (e.g "Prefab_Plane") then this prefab will be created as a submesh of the given mesh.  <a href="#9057439fd11ca34cd1805c805cb1e03e"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PrefabFactory.html#695b46719c6149a514ccf70982cf434e">createPlane</a> (<a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *mesh)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Creates a plane as a submesh of the given mesh.  <a href="#695b46719c6149a514ccf70982cf434e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PrefabFactory.html#c7a3cf756871c8dcab4fc869e00969a7">createCube</a> (<a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *mesh)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Creates a 100x100x100 cube as a submesh of the given mesh.  <a href="#c7a3cf756871c8dcab4fc869e00969a7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PrefabFactory.html#1aac36610560b67da3d3d1a27bcd1e3c">createSphere</a> (<a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *mesh)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Creates a sphere with a diameter of 100 units as a submesh of the given mesh.  <a href="#1aac36610560b67da3d3d1a27bcd1e3c"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
A factory class that can create various mesh prefabs. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This class is used by OgreMeshManager to offload the loading of various prefab types to a central location. </dd></dl>

<p>Definition at line <a class="el" href="OgrePrefabFactory_8h-source.html#l00042">42</a> of file <a class="el" href="OgrePrefabFactory_8h-source.html">OgrePrefabFactory.h</a>.</p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="9057439fd11ca34cd1805c805cb1e03e"></a><!-- doxytag: member="Ogre::PrefabFactory::createPrefab" ref="9057439fd11ca34cd1805c805cb1e03e" args="(Mesh *mesh)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool Ogre::PrefabFactory::createPrefab           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *&nbsp;</td>
          <td class="paramname"> <em>mesh</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
If the given mesh has a known prefab resource name (e.g "Prefab_Plane") then this prefab will be created as a submesh of the given mesh. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>mesh</em>&nbsp;</td><td>The mesh that the potential prefab will be created in. </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>true if a prefab has been created, otherwise false. </dd></dl>

</div>
</div><p>
<a class="anchor" name="695b46719c6149a514ccf70982cf434e"></a><!-- doxytag: member="Ogre::PrefabFactory::createPlane" ref="695b46719c6149a514ccf70982cf434e" args="(Mesh *mesh)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::PrefabFactory::createPlane           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *&nbsp;</td>
          <td class="paramname"> <em>mesh</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static, private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Creates a plane as a submesh of the given mesh. 
<p>

</div>
</div><p>
<a class="anchor" name="c7a3cf756871c8dcab4fc869e00969a7"></a><!-- doxytag: member="Ogre::PrefabFactory::createCube" ref="c7a3cf756871c8dcab4fc869e00969a7" args="(Mesh *mesh)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::PrefabFactory::createCube           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *&nbsp;</td>
          <td class="paramname"> <em>mesh</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static, private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Creates a 100x100x100 cube as a submesh of the given mesh. 
<p>

</div>
</div><p>
<a class="anchor" name="1aac36610560b67da3d3d1a27bcd1e3c"></a><!-- doxytag: member="Ogre::PrefabFactory::createSphere" ref="1aac36610560b67da3d3d1a27bcd1e3c" args="(Mesh *mesh)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::PrefabFactory::createSphere           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *&nbsp;</td>
          <td class="paramname"> <em>mesh</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static, private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Creates a sphere with a diameter of 100 units as a submesh of the given mesh. 
<p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgrePrefabFactory_8h-source.html">OgrePrefabFactory.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:52 2008
</p>
</body>
</html>
